# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLHeadElement Class Reference

Document head information. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLHeadElement:

[legend]
Collaboration diagram for DOM::HTMLHeadElement:

[legend]
List of all members.

## Public Member Functions

| HTMLHeadElement (const HTMLHeadElement &other)
| HTMLHeadElement (const Node &other)
HTMLHeadElement & | operator= (const HTMLHeadElement &other)
HTMLHeadElement & | operator= (const Node &other)
DOMString | profile () const
void | setProfile (const DOMString &)

## Protected Member Functions

| HTMLHeadElement (HTMLHeadElementImpl *impl)

## Detailed Description

Document head information.

See the HEAD element definition in HTML 4.0.

Definition at line 536 of file html_base.h.

## Member Function Documentation

DOMString HTMLHeadElement::profile | ( |  | ) | const

| URI designating a metadata profile. See the profile attribute definition in HTML 4.0. Definition at line 482 of file html_base.cpp.

void HTMLHeadElement::setProfile | ( | const DOMString & |  | ) |

| see profile Definition at line 488 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003